<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\KursUebersicht\Detailsreiter\Termine\TerminBearbeiten;

use Kufer\Web\KuferTools\Utils\Kurstag\KurstagMedien;


class TerminBearbeitenAbsendenUseCase extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Termine\TerminBearbeiten\TerminBearbeitenAbsendenUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSUEBERSICHT_VA;
  }

  public static function getToolSectionId()
  {
    return 633;
  }

  public function hasAccess($pToolSectionId = null)
  {
    if (!parent::hasAccess()) {
      return false;
    }
    if (!$this->isRechtAllowed('631.0.1')) {
      return false;
    }

    return true;
  }

  protected function getZusaetzlicheMedienMail(): KurstagMedien\ZusaetzlicheMedienMail
  {
    return new KurstagMedien\ZusaetzlicheMedienMailVeranstalter(static::getToolId());
  }
}